--AH:ScriptId=EB1DB781-7370-499B-9608-4F1CBAFB6F0D

ALTER TABLE [Feeds]
	ADD [ReplicationMode_Code] CHAR(1)
GO

UPDATE [Feeds]
   SET [ReplicationMode_Code] = CASE
                                WHEN [SyncToken_Bytes] IS NOT NULL AND [SyncTarget_Url] IS NOT NULL THEN 'C'
								WHEN [SyncToken_Bytes] IS NOT NULL AND [SyncTarget_Url] IS NULL THEN 'S'
								ELSE 'D'
								END
GO

ALTER TABLE [Feeds]
	ALTER COLUMN [ReplicationMode_Code] CHAR(1) NOT NULL
GO

ALTER TABLE [Feeds]
	ADD CONSTRAINT [CK__Feeds__ReplicationMode_Code]
		CHECK ([ReplicationMode_Code] IN ('C', 'S', 'B', 'D'))