EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'CustomLanguages_GetLanguage',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'CustomLanguages_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the full details of a custom langauge.'
GO

IF OBJECT_ID('[CustomLanguages_GetLanguage]') IS NOT NULL DROP PROCEDURE [CustomLanguages_GetLanguage]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [CustomLanguages_GetLanguage]
(
	@CustomLanguage_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [CustomLanguages_Extended]
	 WHERE [CustomLanguage_Id] = @CustomLanguage_Id

END
GO

GRANT EXECUTE ON [CustomLanguages_GetLanguage] TO [ProGetUser_Role]
GO